<script>
export default {};
</script>

<template>
  <div class="contenedor">
    <div class="leftBox">
      <img
        src="https://www.traveldailymedia.com/assets/2021/07/Credit-The-Pokemon-Company-1.jpg"
        alt="coso"
      />
    </div>
    <div class="rightBox">
      <div class="rightBoxContent">
        <h1>PokeApiLoginGVD</h1>
        <router-view></router-view>
        <div>Created by Gonzalo, Vero and Dario ;)</div>
      </div>
    </div>
  </div>
</template>

<style scoped>
.contenedor {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  width: 100vw;
  height: 100vh;
}

.leftBox {
  height: 100%;
  width: 60%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.rightBox {
  box-shadow: -5px 0px 10px 5px #aaaaaa;
  width: 40%;
  height: 100%;
  padding: 3vh;
}

.rightBoxContent {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

img {
  flex-shrink: 0;
  min-width: 100%;
  max-height: 100%;
}
</style>
